import Home from "../../portal/views/home/Home.vue";
import Marking from "../views/Marking.vue";
import MarkSettingMain from "../views/MarkSettingMain.vue";
import MarkWork from "../views/MarkWork.vue";
import MarkPaperCheck from "../views/MarkPaperCheck.vue";
import MarkSettingWork from "../views/MarkSettingWork.vue";
import MarkSettingFast from "../views/MarkSettingFast.vue";
import MarkGradeMain from "../views/MarkGradeMain.vue";
import ViewPaper from "../views/ViewPaper.vue";
import MarkWorkOverview from "../views/MarkWorkOverview.vue";
import Marker from "../views/Marker.vue";
import CourseDetail from "../views/CourseDetail.vue";
import MarkerDetail from "../views/MarkerDetail.vue";

export default [
  {
    path: "/marking", //首页
    meta: { auth: false },
    component: Home,
    children: [
      {
        path: "mark_work_overview/:workId/:examId/:name", //评卷总览
        component: MarkWorkOverview
      },
      {
        path: "course_detail/:workId/:examId/:name/:courseCode/:courseName", //课程详情
        component: CourseDetail
      },
      {
        path: "marker/:workId/:examId/:name", //评卷员一览
        component: Marker
      },
      {
        path: "marker_detail/:workId/:examId/:name/:markerId/:userName", //评卷员详情
        component: MarkerDetail
      },
      {
        path: "mark_setting_main/:workId/:examId/:name", //评卷设置主页面
        component: MarkSettingMain
      },
      {
        path: "mark_setting_fast/:workId/:examId/:name/:courseCode/:courseName", //评卷快速设置主页面
        component: MarkSettingFast
      },
      {
        path: "mark_work", //评卷工作
        component: MarkWork
      },
      {
        path: "mark_paper_check/:workId/:examId/:examType", //试卷检查
        component: MarkPaperCheck
      },
      {
        path: "mark_setting_work/:type", //选择评卷工作
        component: MarkSettingWork
      },
      {
        path: "mark_grade_main/:examId", //成绩查询
        component: MarkGradeMain
      },
      {
        path: "view_paper/:workId/:examId/:studentPaperId/:examType", //查看原卷
        component: ViewPaper
      }
    ]
  },
  {
    path: "/marking/:workId/:examType", //试卷正评
    component: Marking
  },
  { path: "*", redirect: "/login" }
];
